package reformatKeyedData;

/**
 * Class KeyedClasses
 */
public class DerivedClasses {

  //
  // Fields
  //

	private static int defaultMaxNrDerivedClasses = 500;
	private int nrDerivedClasses = 0;
	private String[] derivedClassNames;
	private String[] nrStudents; //Number of Students in Class
  
  //
  // Constructors
  //
  public DerivedClasses () {
	  this.nrDerivedClasses = 0;
	  this.derivedClassNames = new String[defaultMaxNrDerivedClasses];
	  this.nrStudents = new String[defaultMaxNrDerivedClasses];
  }
  	
  public DerivedClasses (int maxNrDerivedClasses) {
	  this.nrDerivedClasses = 0;
	  this.derivedClassNames = new String[maxNrDerivedClasses];
	  this.nrStudents = new String[maxNrDerivedClasses];
  }
	  	
  //
  // Methods
  //


  //
  // Accessor methods
  //
  /**
   * Get the value of nrDerivedClasses
   * @return the value of nrDerivedClasses
   */
  public int getNrClasses() {
	  return this.nrDerivedClasses;
  }

  /**
   * Get the value of derivedClassNames
   * @return the value of derivedClassNames array
   */
  public String[] getClassNames() {
	  return this.derivedClassNames;
  }

  /**
   * Get the value of derivedClassNames
   * @return the value of derivedClassNames array
   */
  public String[] getClassSizes() {
	  return this.nrStudents;
  }
  //
  // Other methods
  //

  /**
   * Adds new class to arrays
   * @params       className, nrStudents
   */
  public void addDerivedClass(String className, String nrStudents) {
	  if (this.isMember(className) == -1) {
		  this.derivedClassNames[nrDerivedClasses] = className;
		  this.nrStudents[nrDerivedClasses] = nrStudents;
		  this.nrDerivedClasses++;
	  }
  }


  /**
   * Checks to see if class is in keyedClassNames array
   * @return       int
   * @param        className
   */
  public int isMember(String className) {
	  for (int posn = 0; posn < this.nrDerivedClasses; posn++)
		  if (this.derivedClassNames[posn].equals(className))
			  return posn;
	  return -1;
  }
}
