package reformatKeyedData;
/**
 * Class Rooms
 */

public class Rooms {

  //
  // Fields
  //

	private static int defaultMaxNrRooms = 100;
	private int nrRooms = 0;
	private String[] roomNames;
	private String[] roomSizes; //Capacity of Room
	private String[] projector; //Does Room contain a projector
	private String[] pcs; //Does Room contain PCs
  
  //
  // Constructors
  //
  public Rooms() {
	  this.nrRooms = 0;
	  this.roomNames = new String[defaultMaxNrRooms];
	  this.roomSizes = new String[defaultMaxNrRooms];
	  this.projector = new String[defaultMaxNrRooms];
	  this.pcs = new String[defaultMaxNrRooms];
  }
  	
  public Rooms(int maxNrRooms) {
	  this.nrRooms = 0;
	  this.roomNames = new String[maxNrRooms];
	  this.roomSizes = new String[maxNrRooms];
	  this.projector = new String[maxNrRooms];
	  this.pcs = new String[maxNrRooms];
  }

  //
  // Accessor methods
  //
  /**
   * Get the value of nrRooms
   * @return the value of nrRooms
   */
  public int getNrRooms() {
    return nrRooms;
  }
  
  /**
   * Get the value of roomNames
   * @return the value of roomNames array
   */
  public String[] getRoomNames() {
    return roomNames;
  }
  
  /**
   * Get the value of roomSize
   * @return the value of roomSizes array
   */
  public String[] getRoomSizes() {
    return roomSizes;
  }
  //
  // Adder methods
  //

  /**
   * Adds new room to arrays
   * @params       roomName, roomSize, Projector, PCs
   */
  public void addRoom(String roomName, String roomSize, String projector, String pcs) {
	  if (this.isMember(roomName) == -1) {
		  this.roomNames[nrRooms] = roomName;
		  this.roomSizes[nrRooms] = roomSize;
		  this.projector[nrRooms] = projector;
		  this.pcs[nrRooms] = pcs;
		  this.nrRooms++;
	  }
  }
  
  //
  // Other Methods
  //

  /**
   * Checks to see if room is in roomName array
   * @return       int
   * @param        roomName
   */
  public int isMember(String roomName) {
	  for (int posn = 0; posn < this.nrRooms; posn++)
		  if (this.roomNames[posn].equals(roomName))
			  return posn;
	  return -1;
  }
}
